1.2
1.2
put /v1/volumes/{volume_id}/qos
Description
볼륨 QoS를 수정한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 id Example : 92cd16fe8ebc4f73832513a172bf0000 | string | None |
| body | body required | SetVolumeQoSRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | SetVolumeQoSResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/qos
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
{
"iops": 3000,
"throughput": 125
}
Example HTTP response
Response 200
{
"iops": 3000,
"throughput": 125
}